import { DateTime } from 'luxon'
import { BaseModel, column } from '@adonisjs/lucid/orm'

export default class Produto extends BaseModel {
  @column({ isPrimary: true })
  declare id: number

  @column()
  declare codigoPsu: string

  @column()
  declare artigo: string

  @column()
  declare nome: string

  @column()
  declare descricao: string | null

  @column()
  declare valor: number

  @column()
  declare moeda: string

  @column()
  declare marca: string | null

  @column()
  declare categoria: string | null

  @column()
  declare estoque: number

  @column.dateTime({ autoCreate: true })
  declare createdAt: DateTime

  @column.dateTime({ autoCreate: true, autoUpdate: true })
  declare updatedAt: DateTime
}